Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class ShowSimpleText

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.ShowText
                  org.pdfclown.documents.contents.objects.ShowSimpleText

    @PDF(value=PDF10)
    public final class ShowSimpleText

extends ShowText

'Show a text string' operation [PDF:1.6:5.3.2].

Since:
  0.0.8
Version:
  0.1.1, 03/22/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.contents.objects.ShowText
`ShowText.IScanner`

Field Summary
`static String` | `Operator`

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Constructor Summary
`ShowSimpleText(byte[] text)`
`ShowSimpleText(List<PdfDirectObject> operands)`

Method Summary
`byte[]` | `getText()` Gets the encoded text.
`void` | `setText(byte[] value)`

Methods inherited from class org.pdfclown.documents.contents.objects.ShowText
`getValue, scan, scan, setValue`

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Operator

    public static final String Operator

See Also:
  Constant Field Values

Constructor Detail

### ShowSimpleText

    public ShowSimpleText(byte[] text)

Parameters:
  `text` - Text encoded using current font's encoding.

### ShowSimpleText

    public ShowSimpleText(List<PdfDirectObject> operands)

Method Detail

### getText

    public byte[] getText()

  Description copied from class: `ShowText`
  Gets the encoded text.

  ### Remarks

  Text is expressed in native encoding: to resolve it to Unicode, pass it to the decode method of the corresponding font.

  Specified by:
    `getText` in class `ShowText`

### setText

    public void setText(byte[] value)

  Specified by:
    `setText` in class `ShowText`
  See Also:
    `ShowText.getText()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.